Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Sat 24 Jun 2017, 13:38
All times are UTC - 4
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Browsers and Internet
PepperFlash .PETs
Post new topic   Reply to topic View previous topic :: View next topic
Page 4 of 4 [52 Posts]   Goto page: Previous 1, 2, 3, 4
Author Message
Mike Walsh


Joined: 28 Jun 2014
Posts: 2630
Location: King's Lynn, UK.

PostPosted: Tue 09 May 2017, 15:38    Post subject:  

***NEW VERSION***

Evening, everybody.

The new version of PepperFlash was released this afternoon. 32- & 64-bit versions of 25.0.0.171 are now available. Link as in post #1. Help yourselves to whatever you need.

Don't forget, there is now a .pet available to upgrade Pepper in 64-bit Iron.

-----------------------------------------------------------------------------------------

No need to manually upgrade in Chrome from version 54 onwards.....it's now handled internally by the browser's built-in updater, and upgrades all by itself. Smile See the Chrome SFS thread for details.


Mike. Wink

_________________
If I've helped you.....please say 'Thanks'!
MY PUPPY PACKAGES
--------------------------------------

Back to top
View user's profile Send private message 
musher0


Joined: 04 Jan 2009
Posts: 10313
Location: Gatineau (Qc), Canada

PostPosted: Tue 06 Jun 2017, 23:31    Post subject:  

Hello, Mike_Walsh.

I just installed your latest PepperFlash, for Vivaldi: works great!

Many thanks!

_________________
musher0
~~~~~~~~~~
« Un insensé sur le trône n'est qu'un singe sur le haut d'un toit. » / "A madman
on the throne is just a monkey on top of a roof." (Bernard de Clervaux)
Back to top
View user's profile Send private message 
Mike Walsh


Joined: 28 Jun 2014
Posts: 2630
Location: King's Lynn, UK.

PostPosted: Wed 07 Jun 2017, 05:14    Post subject:  

Hi, musher0.

Now you've got me wondering... I don't produce one specifically for Vivaldi, so,er.....just out of curiosity, which one did you use?


Mike. Wink

_________________
If I've helped you.....please say 'Thanks'!
MY PUPPY PACKAGES
--------------------------------------

Back to top
View user's profile Send private message 
musher0


Joined: 04 Jan 2009
Posts: 10313
Location: Gatineau (Qc), Canada

PostPosted: Wed 07 Jun 2017, 11:38    Post subject:  

Mike Walsh wrote:
Hi, musher0.

Now you've got me wondering... I don't produce one specifically for
Vivaldi, so, er.....just out of curiosity, which one did you use?

Mike. Wink
Hi Mike.

I downloaded and successfully installed for Vivaldi your pet named
Chrome-PepperFlash-25.0.0.171-i386.pet, from here:
https://www.mediafire.com/folder/6sy2y7y31nayy/PepperFlash_.pets#gq96iya8in8ix

As I said above, this one works great with Vivaldi, probably because
Vivaldi has a Chrome "heart"!

IHTH.

BFN.

_________________
musher0
~~~~~~~~~~
« Un insensé sur le trône n'est qu'un singe sur le haut d'un toit. » / "A madman
on the throne is just a monkey on top of a roof." (Bernard de Clervaux)
Back to top
View user's profile Send private message 
musher0


Joined: 04 Jan 2009
Posts: 10313
Location: Gatineau (Qc), Canada

PostPosted: Wed 07 Jun 2017, 23:44    Post subject:  

Hello again, MIke.

BTW, I just updated my Vivaldi to v. 1.9, and
your pet works with the just out Vivaldi 1.9
as well as with the older guy, Vivaldi 1.7.

_________________
musher0
~~~~~~~~~~
« Un insensé sur le trône n'est qu'un singe sur le haut d'un toit. » / "A madman
on the throne is just a monkey on top of a roof." (Bernard de Clervaux)
Back to top
View user's profile Send private message 
Mike Walsh


Joined: 28 Jun 2014
Posts: 2630
Location: King's Lynn, UK.

PostPosted: Thu 08 Jun 2017, 06:21    Post subject:  

Morning, musher0.

Yes, that's the thing I realised quite a while back, when I first started researching the subject for this thread. Ever since Google dropped the NPAPI plug-in interface, and made the 'Pepper' PPAPI one standard for Chrome, that interface hasn't changed.

The very first all-Pepper releases of Chrome (around version 25 or 26.....and we're currently approaching version 60) will still work with the newest releases of the Pepper plug-in. I have version 26 of Chrome running in Lucid 5.2.8.7 (the newest version that will still run in it, because of the age of the glibc), and it, too, is currently using 25.0.0.171.....despite the fact that it originally used version 12-something-or-other.

It's not much, but it does allow you to keep at least one attack vector closed... As the saying goes, 'Every little bit helps'!


Mike. Wink

_________________
If I've helped you.....please say 'Thanks'!
MY PUPPY PACKAGES
--------------------------------------

Back to top
View user's profile Send private message 
Mike Walsh


Joined: 28 Jun 2014
Posts: 2630
Location: King's Lynn, UK.

PostPosted: Tue 13 Jun 2017, 08:31    Post subject:  

***NEW VERSION***

Afternoon, all.

The new version of PepperFlash was released this morning. 32- & 64-bit versions of 26.0.0.126 are now available. Link as in post #1. Help yourselves to whatever you need.

Don't forget, there is now a .pet available to upgrade Pepper in 64-bit Iron.

-----------------------------------------------------------------------------------------

No need to manually upgrade in Chrome from version 54 onwards.....it's now handled internally by the browser's built-in updater, and upgrades all by itself. Smile See the Chrome SFS thread for details.

-----------------------------------------------------------------------------------------

I've fixed a long-standing problem with the 64-bit Chromium PepperFlash .pets. Since Chromium is the only one out of these that installs to /usr/lib, that means /usr/lib64 in these versions. Tahr64 has a sym-link from /usr/lib64 to /usr/lib, so it wouldn't make any difference.....but Slacko64 doesn't, so the location needs to be correct. I don't know about Xenial; I assume it's the same as Tahr. Can anyone confirm this, please?

Pepper now installs into /usr/lib64/Chromium/PepperFlash. All this time, and nobody's said anything..... (*shakes head*)

Curiously, Iron wants Pepper in /usr/lib, regardless of architecture. A query for the SRWare devs, perhaps... Razz


Mike. Wink

_________________
If I've helped you.....please say 'Thanks'!
MY PUPPY PACKAGES
--------------------------------------

Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 4 of 4 [52 Posts]   Goto page: Previous 1, 2, 3, 4
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Browsers and Internet
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0404s ][ Queries: 14 (0.0095s) ][ GZIP on ]